//用于将 Mysql 表 Bot 转换为 class
package com.kob.backend.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Bot {
    //    主键自增
    @TableId(type = IdType.AUTO)
    private Integer id;

    //    注意：在pojo中需要定义成userId，在queryWrapper中的名称仍然为user_id
    private Integer userId;
    private String title;
    private String description;
    private String content;
    private Integer rating;
    // pojo中定义日期格式的注解：@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    // timezone 用于修改时区
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date createtime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date modifytime;

}
